﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
#Event: LayoutLoaded

Sub Class_Globals
	
	Private mTarget As Object
	Private mEventName As String
	Private mBase As Panel
	Private mActivity As Activity
	
	Dim ivHomeAsUp As ImageView
	Dim ivHome As ImageView
	Dim lTitle As Label
	Dim lSubTitle As Label
	Dim pHome As Panel
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize (TargetModule As Object, EventName As String)

	mTarget = TargetModule
	mEventName = EventName

End Sub

Public Sub DesignerCreateView(Base As Panel, Lbl As Label, Props As Map)
	mActivity = Props.Get("activity")
	mBase = Base
	'It is not possible to load a layout when inside the process of loading a layout.
	'AddToActivity loads the DatePicker layout. The solution is to use CallSubDelayed.
	CallSubDelayed3(Me, "AddToActivity",mActivity, mBase)	
End Sub

Public Sub AddToActivity(ACT As Activity, Base As Panel)
	Base.LoadLayout("ab")
	
	CallSub(mTarget, mEventName & "_LayoutLoaded")
End Sub

Public Sub setHomeAsUp(Flag As Boolean)
	ivHomeAsUp.Visible = True
	Invalidate
End Sub

Public Sub getHomeAsUp As Boolean
	Return ivHomeAsUp.Visible
End Sub

Public Sub setUpImage(Image As Bitmap)
	ivHomeAsUp.Bitmap = Image
End Sub

Public Sub setUpDrawable(ImageResource As String)
	Dim dr As XmlLayoutBuilder
	
	ivHomeAsUp.Background = dr.GetDrawable(ImageResource)	
End Sub

Public Sub getUpImage As Bitmap
	Return ivHomeAsUp.Bitmap
End Sub

Public Sub setTitle(Title As String)
	lTitle.Text = Title
End Sub

Public Sub getTitle As String
	Return lTitle.Text
End Sub

Sub Invalidate
	mActivity.RerunDesignerScript("ab", mBase.Width, mBase.Height)	
End Sub